commit:     514b2eff38dccf12d64e421ec4c8cd34b76e3616
Author:     Michael Haubenwallner <haubi <AT> gentoo <DOT> org>
AuthorDate: Mon May 29 13:00:06 2017 +0000
Commit:     Michael Haubenwallner <haubi <AT> gentoo <DOT> org>
CommitDate: Mon May 29 13:44:00 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=514b2eff

net-misc/mico: add patch for gcc-6 (bug#594806)

Thanks to Peter Levine for providing the link to a patch in GH PR #4788.

Closes: https://github.com/gentoo/gentoo/pull/4788

Package-Manager: portage-2.3.5

 net-misc/mico/Manifest                             |  3 +-
 .../{mico-9999.ebuild => mico-2.3.13-r8.ebuild}    | 56 ++++++++++++----------
 net-misc/mico/mico-9999.ebuild                     | 45 +++++++++--------
 3 files changed, 59 insertions(+), 45 deletions(-)

diff --git a/net-misc/mico/Manifest b/net-misc/mico/Manifest
index 77ce7c11525..2c31ae67614 100644
--- a/net-misc/mico/Manifest
+++ b/net-misc/mico/Manifest
@@ -1,3 +1,4 @@
 DIST mico-2.3.13-gentoo-patches-0.3.tar.bz2 9547 SHA256 
4d76e7e696ac4af60dc40ecc81d3a142cbec410c2e1b9155270a7865e71afca4 SHA512 
1e22066313f3af495678094a5b83f502b080e645b7379bd6b860d71f69b7a02db19047d3f8433b04d3d1f0a2b41e56e480f217041381027638d2b84a373bef5d
 WHIRLPOOL 
fbfabcaafee1ca286697a3ae37c24f8451283683e1f1787f8df3c267b8e4b8da69c79817b82bec810852069e021f541db3f05f76feec6256243bb2ad70a41788
+DIST mico-2.3.13-gentoo-patches-20170529.tar.xz 15196 SHA256 
9d616c90f1ef4db44709e393fd2ab74d1e17f7e65541900c3735c312376de681 SHA512 
ea7cbf00b33ed5eaacc5418539562645cecefc6f2ee7929d58517f7775fa62ac07a26967cd84570410281930b7a4570302f4edc9a9cc76661a99a5f28bce37cf
 WHIRLPOOL 
52494f75a92cfd3e06baf5074b17ce8776f120bb38c63ffea09be78ba95735d629098c2bc34a2289ff5c2ed383d697f450530b76b9f73919dcdacf8072765773
 DIST mico-2.3.13.tar.gz 3269814 SHA256 
a355fd0205440f0c8793b68d105b179942d883babc6b1fe69113707b88fe1d69 SHA512 
b4c09b5a41e480b8211529776b83e84669e1e91ccba7a0d2d940834f217bc7f3d9ef74101dadc43778c6813b733ccfdae2b00eab2f0993b58193bb9f270e3895
 WHIRLPOOL 
e8f5b92502a012e4f316ae341a25a0c24def7718f7a85fed7e24de5298d593b1a2af2fcb21e89d857e6da65d6b0765108eb3f77e820874d98047127d07734389
-DIST mico-9999-gentoo-patches-20120924.tar.bz2 11693 SHA256 
054fb0347c67bcbff41b2fd42204c389f9c5fbd4d07fd014f2c356a428f72d32 SHA512 
5a1a775c67494776094d228a02ff5546256f11c255dcda18b6fe7c08ac87d6d969540559c2876de571c2b1bf5b1fefa03ba3e6b6749c0589c725153463dc886a
 WHIRLPOOL 
686e7600abb0b5e3f1247b446dc0240e33679a2da821cc8741fc0b7c86f4d289c1c7603c0fcd5dc47f19b7639b8ed0e011b265516c0eb0195a04e9780dba338d
+DIST mico-9999-gentoo-patches-20170529.tar.xz 16716 SHA256 
e5271dd2c8742b19fd89abb014bd02fa1a1a1acd17d1cf740f61127f0aafd367 SHA512 
33361ab7a40fe897a48bf69fb33ffc3afa3da224a1589cfd7c4660deb00dcb9dd76dd2bc84ed968db6dd8a9e22aa493bb4b78713606675b6021f081eb56deb10
 WHIRLPOOL 
72b5777543e5d7f48cf0b64d4134fd33d6f29c3889281ccdecb9306d846af2f965138dd8093459c7bdb8b26a335c0bce3fab2d10282e59f6f441a45ac79742cf

diff --git a/net-misc/mico/mico-9999.ebuild 
b/net-misc/mico/mico-2.3.13-r8.ebuild
similarity index 75%
copy from net-misc/mico/mico-9999.ebuild
copy to net-misc/mico/mico-2.3.13-r8.ebuild
index 604b3b1abdc..ec8a7b7a5d7 100644
--- a/net-misc/mico/mico-9999.ebuild
+++ b/net-misc/mico/mico-2.3.13-r8.ebuild
@@ -1,30 +1,32 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="3"
+EAPI="6"
 
-inherit eutils flag-o-matic toolchain-funcs autotools
+inherit flag-o-matic toolchain-funcs autotools
+
+PATCH_VER=20170529
 
 if [[ ${PV} == 9999 ]]; then
        EDARCS_REPOSITORY="http://mico.org/mico-darcs-repository";
        inherit darcs
+       SRC_URI=
+else
+       SRC_URI="http://www.mico.org/${P}.tar.gz";
 fi
 
-PATCH_VER=20120924
+if [[ -n ${PATCH_VER} ]]; then
+       SRC_URI+=" 
https://dev.gentoo.org/~haubi/distfiles/${P}-gentoo-patches-${PATCH_VER}.tar.xz";
+       PATCHES=${WORKDIR}/patches
+else
+       PATCHES=
+fi
 
 DESCRIPTION="A freely available and fully compliant implementation of the 
CORBA standard"
 HOMEPAGE="http://www.mico.org/";
-SRC_URI="http://www.mico.org/${P}.tar.gz";
-
-[[ ${PV} == 9999 ]] &&
-       SRC_URI=""
-
-[[ -n ${PATCH_VER} ]] &&
-       SRC_URI="${SRC_URI} 
https://dev.gentoo.org/~haubi/distfiles/${P}-gentoo-patches-${PATCH_VER}.tar.bz2";
-
 LICENSE="GPL-2 LGPL-2"
 SLOT="0"
-KEYWORDS=""
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux 
~sparc-solaris ~x86-winnt"
 IUSE="gtk postgres qt4 ssl tcl threads X"
 RESTRICT="test" #298101
 
@@ -33,9 +35,9 @@ RESTRICT="test" #298101
 
 RDEPEND="
        gtk?       ( x11-libs/gtk+:2 )
-       postgres?  ( dev-db/postgresql )
+       postgres?  ( dev-db/postgresql:* )
        qt4?       ( dev-qt/qtgui:4[qt3support] )
-       ssl?       ( dev-libs/openssl )
+       ssl?       ( dev-libs/openssl:* )
        tcl?       ( dev-lang/tcl:0 )
        X?         ( x11-libs/libXt )
 "
@@ -49,17 +51,19 @@ if [[ ${PV} == 9999 ]]; then
                darcs_src_unpack
                default
        }
+else
+       S=${WORKDIR}/${PN}
 fi
 
 src_prepare() {
-       EPATCH_SUFFIX=patch epatch "${WORKDIR}"/patches
+       default
 
        eautoreconf
 
        # cannot use big TOC (AIX only), gdb doesn't like it.
        # This assumes that the compiler (or -wrapper) uses
        # gcc flag '-mminimal-toc' for compilation.
-       sed -i -e 's/,-bbigtoc//' "${S}"/configure
+       sed -i -e 's/,-bbigtoc//' "${S}"/configure || die
 
        if use qt4; then
                sed -i -e "s, -lqt\", $(pkg-config --libs Qt3Support)\"," 
configure ||
@@ -70,6 +74,11 @@ src_prepare() {
 src_configure() {
        tc-export CC CXX
 
+       if use gtk && [[ -n ${PATCH_VER} ]]; then
+               # need gtk-1 wrapper for gtk-2
+               export PATH="${WORKDIR}"/helpers:${PATH}
+       fi
+
        # Don't know which version of JavaCUP would suffice, but there is no
        # configure argument to disable checking for JavaCUP.
        # So we override the configure check to not find 'javac'.
@@ -92,7 +101,8 @@ src_configure() {
 
        # '--without-*' or '--with-*=no' does not disable some features,
        # the value needs to be empty instead.
-       # This applies to: pgsql, qt, tcl, bluetooth.
+       # This applies to: gtk, pgsql, qt, tcl, bluetooth.
+       myconf --with-gtk=$(  use gtk      && echo "${EPREFIX}"/usr)
        myconf --with-pgsql=$(use postgres && echo "${EPREFIX}"/usr)
        myconf --with-qt=$(   use qt4      && echo "${EPREFIX}"/usr)
        myconf --with-tcl=$(  use tcl      && echo "${EPREFIX}"/usr)
@@ -101,8 +111,6 @@ src_configure() {
        myconf --disable-wireless
        # But --without-x works.
        myconf $(use_with X x "${EPREFIX}"/usr)
-       # Same for gtk after patch 013, searches for gtk release.
-       myconf $(use_with gtk gtk 2)
 
        # http://www.mico.org/pipermail/mico-devel/2009-April/010285.html
        [[ ${CHOST} == *-hpux* ]] && append-cppflags -D_XOPEN_SOURCE_EXTENDED
@@ -120,15 +128,15 @@ src_configure() {
 }
 
 src_install() {
-       emake INSTDIR="${ED}"usr SHARED_INSTDIR="${ED}"usr install LDCONFIG=: 
|| die "install failed"
+       emake INSTDIR="${ED}"usr SHARED_INSTDIR="${ED}"usr install LDCONFIG=:
        if [[ $(get_libdir) != lib ]]; then #500744
                mv "${ED}"usr/lib "${ED}"usr/$(get_libdir) || die
        fi
 
-       dodir /usr/share || die
+       dodir /usr/share
        mv "${ED}"usr/man "${ED}"usr/share || die
-       dodir /usr/share/doc/${PF} || die
+       dodir /usr/share/doc/${PF}
        mv "${ED}"usr/doc "${ED}"usr/share/doc/${PF} || die
 
-       dodoc BUGS CHANGES* CONVERT README* ROADMAP TODO VERSION WTODO || die
+       dodoc BUGS CHANGES* CONVERT FAQ README* ROADMAP TODO VERSION WTODO
 }

diff --git a/net-misc/mico/mico-9999.ebuild b/net-misc/mico/mico-9999.ebuild
index 604b3b1abdc..f9bcd3c55f5 100644
--- a/net-misc/mico/mico-9999.ebuild
+++ b/net-misc/mico/mico-9999.ebuild
@@ -1,27 +1,29 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="3"
+EAPI="6"
 
-inherit eutils flag-o-matic toolchain-funcs autotools
+inherit flag-o-matic toolchain-funcs autotools
+
+PATCH_VER=20170529
 
 if [[ ${PV} == 9999 ]]; then
        EDARCS_REPOSITORY="http://mico.org/mico-darcs-repository";
        inherit darcs
+       SRC_URI=
+else
+       SRC_URI="http://www.mico.org/${P}.tar.gz";
 fi
 
-PATCH_VER=20120924
+if [[ -n ${PATCH_VER} ]]; then
+       SRC_URI+=" 
https://dev.gentoo.org/~haubi/distfiles/${P}-gentoo-patches-${PATCH_VER}.tar.xz";
+       PATCHES=${WORKDIR}/patches
+else
+       PATCHES=
+fi
 
 DESCRIPTION="A freely available and fully compliant implementation of the 
CORBA standard"
 HOMEPAGE="http://www.mico.org/";
-SRC_URI="http://www.mico.org/${P}.tar.gz";
-
-[[ ${PV} == 9999 ]] &&
-       SRC_URI=""
-
-[[ -n ${PATCH_VER} ]] &&
-       SRC_URI="${SRC_URI} 
https://dev.gentoo.org/~haubi/distfiles/${P}-gentoo-patches-${PATCH_VER}.tar.bz2";
-
 LICENSE="GPL-2 LGPL-2"
 SLOT="0"
 KEYWORDS=""
@@ -33,9 +35,9 @@ RESTRICT="test" #298101
 
 RDEPEND="
        gtk?       ( x11-libs/gtk+:2 )
-       postgres?  ( dev-db/postgresql )
+       postgres?  ( dev-db/postgresql:* )
        qt4?       ( dev-qt/qtgui:4[qt3support] )
-       ssl?       ( dev-libs/openssl )
+       ssl?       ( dev-libs/openssl:* )
        tcl?       ( dev-lang/tcl:0 )
        X?         ( x11-libs/libXt )
 "
@@ -49,17 +51,20 @@ if [[ ${PV} == 9999 ]]; then
                darcs_src_unpack
                default
        }
+else
+       S=${WORKDIR}/${PN}
 fi
 
 src_prepare() {
-       EPATCH_SUFFIX=patch epatch "${WORKDIR}"/patches
+       default
 
+       mv configure.in configure.ac || die #426262
        eautoreconf
 
        # cannot use big TOC (AIX only), gdb doesn't like it.
        # This assumes that the compiler (or -wrapper) uses
        # gcc flag '-mminimal-toc' for compilation.
-       sed -i -e 's/,-bbigtoc//' "${S}"/configure
+       sed -i -e 's/,-bbigtoc//' "${S}"/configure || die
 
        if use qt4; then
                sed -i -e "s, -lqt\", $(pkg-config --libs Qt3Support)\"," 
configure ||
@@ -120,15 +125,15 @@ src_configure() {
 }
 
 src_install() {
-       emake INSTDIR="${ED}"usr SHARED_INSTDIR="${ED}"usr install LDCONFIG=: 
|| die "install failed"
+       emake INSTDIR="${ED}"usr SHARED_INSTDIR="${ED}"usr install LDCONFIG=:
        if [[ $(get_libdir) != lib ]]; then #500744
                mv "${ED}"usr/lib "${ED}"usr/$(get_libdir) || die
        fi
 
-       dodir /usr/share || die
+       dodir /usr/share
        mv "${ED}"usr/man "${ED}"usr/share || die
-       dodir /usr/share/doc/${PF} || die
+       dodir /usr/share/doc/${PF}
        mv "${ED}"usr/doc "${ED}"usr/share/doc/${PF} || die
 
-       dodoc BUGS CHANGES* CONVERT README* ROADMAP TODO VERSION WTODO || die
+       dodoc BUGS CHANGES* CONVERT README* ROADMAP TODO VERSION WTODO
 }

Reply via email to